GGKP Knowledge Brokerage API
Home
What is GGKP?
Home
What is GGKP?
  1. Search
  • Overview
  • Use Cases
  • Security
  • FAQ
  • Taxonomy
    • Retrieve Master Taxonomy
      GET
    • Retrieve Taxonomy by Term ID
      GET
    • Retrieve Domain-Specific Taxonomy
      GET
  • Search
    • Federated Search
      POST
    • Semantic Search
      POST
    • List Connected Sources
      GET
    • Register New Source
      POST
    • Upload Knowledge Products
      POST
    • List Products by Source
      GET
    • Delete Products
      DELETE
  • Classifier
    • Classify PDF Document
      POST
    • Generate Body and Summary
      POST
  • Bots
    • Generic Bot
      POST
  1. Search

Delete Products

DELETE
https://api.ggkp.org/search-federator/delete-products
Search
Deletes one or more knowledge products from the index.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
Products deleted successfully
This response does not have a body.
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.ggkp.org/search-federator/delete-products' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "source_id": "src_123",
    "product_ids": [
        "prod_456",
        "prod_789"
    ]
}'
Previous
List Products by Source
Next
Classify PDF Document
Built with